Subject: Re: Terry, 💰 Congrats! You WON! 💰 500,000💰 FREE COINS, Click here to collect >>>
From: terry <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sun, 30 Sep 2018 15:02:12 +0000
List-Id: <scsupport.luckgenome.com>

[BitBounce]

Hello! I use a new email filtering service called BitBounce to filter my email. To deliver your email to my inbox, please click the link below and pay the small cryptocurrency fee.
Thank you!

$0.05 to deliver your email.

We’ve never met — I’ll pay your fee.<https://bitbounce.com/pay_bitbounce_fee/274408666>

I know you — Add me to your whitelist.<https://bitbounce.com/whitelist/request_access/3466526743?email_address=promotions%40luckgenome.com&ref=bitbounce>

BitBounce<https://bitbounce.com?ref=bitbounce> is powered by  the Credo<https://bitbounce.com/credo> cryptocurrency

I’m from a business —  what are my delivery options<https://bitbounce.com/business>

BitBounce and Credo are transacted through CredoEx<https://credoex.com?ref=bitbounce>

Made by Turing Technology Inc. in San Mateo, California Sign Up for BitBounce<https://bitbounce.com?ref=bitbounce>